Bug 59656 - [PATCH] Fix x11/kde3 package if KDE_PREFIX != LOCALBASE
Summary: [PATCH] Fix x11/kde3 package if KDE_PREFIX != LOCALBASE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-11-24 22:40 UTC by Melvyn Sopacua
Modified: 2003-12-13 10:40 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (449 bytes, patch)
2003-11-24 22:40 UTC, Melvyn Sopacua
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Melvyn Sopacua 2003-11-24 22:40:16 UTC
	If KDE_PREFIX != LOCALBASE, then package target fails, because
	CONFIG_FILE is set to $LOCALBASE/etc/kde-meta.conf but the
	pkg-plist contains etc/kde-meta.conf -> $PREFIX/etc/kde-meta.conf,
	which is $KDE_PREFIX/etc/meta.conf.

	(Hope this is still clear :)

	This fix is needed most, if you want to run kde-cvs and stable
	on the same machine, hence the low priority.

Fix: I wasn't sure if KDE_PREFIX can be counted on to be available,
	that early in the Makefile, so I ifdefed it and fallback to
	LOCALBASE.
How-To-Repeat: 	echo KDE_PREFIX=/usr/local/kde-stable >> /etc/make.conf && \
	(cd /usr/ports/x11/kde3 && make install)
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2003-11-26 10:55:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kde

Over to maintainers.
Comment 2 Michael Nottebrock freebsd_committer 2003-12-13 10:34:13 UTC
State Changed
From-To: open->closed

Commited, thanks!